Proposals

Operations of the Knowledge Base API. Paths are relative to your deployment's API host.

GET /api/knowledge-base-api/proposals

List all pending page proposals

Authentication: bearer token (Authorization: Bearer <token>)

StatusDescriptionBody
200application/json PageResponseDtoDataArrayEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

POST /api/knowledge-base-api/proposals/{pageId}/approve

Approve a proposed page edit — publishes the change

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
pageIdpathstringyes
StatusDescriptionBody
200application/json PageResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

POST /api/knowledge-base-api/proposals/{pageId}/reject

Reject a proposed page edit — reverts to previous version

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
pageIdpathstringyes
StatusDescriptionBody
200application/json PageResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto